Jump to content

Archived

This topic is now archived and is closed to further replies.

the_g_cat

Questions Ubuntu

Recommended Posts

Salut,

J'aurais plusieurs questions concernant Ubuntu, dont j'espere qu'elle remplacera (enfin) les XP dans la famille (3 machines en tout). Perso, je tourne sous Gentoo, et je leur aurait bien mis, mais j'habite a 900 bornes de chez eux, pas très pratique pour une petite reparation vite fait.

Donc, sur le PC de mes parents, il faudra qu'il puisse se connecter a l'ADSL avec la raie verte (le modem speedtouch machin ADSL de thompson, je crois) (mon pere ne veut bien sur pas de modem-routeur :chinois: ) et partager la connexion avec les 2 autres PC, et supporter l'imprimante USB HP. Tout le reste ne devrait pas poser de problemes.

Le PC de mon frere devra pouvoir se connecter a celui de mes parents pour surfer (ca devrait aller), le reste devrait etre aussi relativement simple.

Ce qui m'amene a des questions d'ordre plus general :

  • J'ai pris la Hoary preview, en esperant avoir gnome 2.10 dessus, est-ce le cas ou pas ?
  • J'aurais besoin de faire marcher Starcraft sur les 2 machines, ainsi que CS (premier du nom), LFP Manager et les Sims sur celle de mon frere : ou en est wine / cedega de ce cote-la ?
  • Quels conseils donneriez-vous a un gentooïste pour sa premiere install d'une debian-like, quels sont les outils pour les updates, etc ... ?
  • Quels conseils en general eventuellement pour la ubuntu, des programmes essentiels qui manque, etc ... ?

Voila, merci d'avance, en esperant trouver reponse a un maximum de mes questions :fou:

Share this post


Link to post
Share on other sites

bon Ubuntu hoary a quand meme quelques petits problèmes génants ( moi je m'en fout mais ca fait raler ma copine :chinois: )

genre d'un seul coup tu perds les icones... elles sont toutes belles puis deviennent toutes génériques, ou alors l'iconne disparait (c'est le cas chez moi pour les boutons de montage démontage des disques dans la barre du haut)

rien de bien méchant mais c'est le genre de déagrément qui peut vite pourir la vie ...

donc hoary oui mais peut etre qu'il vaut mieux attendre que ca passe en stable, d'ailleur je me demande si je vais pas revenir en warty + backports

j'ai pas mis à jours cette semaine, faudra que je le fasse ce week end, je pourrais alors te dire si gnome 2.10 est dispo :roll:

le speedtouch ca tourne normalement... mais je laisse ceux qui ont encore ces antiquités répondre :-D

pour cs et starcraft ca tourne (utilise le script cedega cvs dispo dans le lien wine de ma signature :cartonrouge:

LFP manager et Sims... je sais pas

pour les paquetages je te renvois vers le tuto debian, c'est tout pareil :cartonrouge:

pour le sources.list tout est donné sur le site officiel ubuntu, faut aller dans la partie pour ceux qui "maitrisent debian" :cartonrouge:

aucun conseil à te donner :cartonrouge:

pour l'install je faisait autre chose en meme temps, quand ca a été fini, je me suis dit : merde déjà, j'ai rien configuré :fou:

Bref ca se fait tout seul

à ma connaissance il manque pas de programmes à partire du moment ou le sources.list est configuré :cartonrouge:

voili voilou

Share this post


Link to post
Share on other sites

Ah, si la hoary merdouille un peu, on va eviter ...

Tiens-moi au courant pour gnome 2.10 alors, si c'est dans les backports, va pour la warty, sinon, je sais pas trop encore :kneu:

Share this post


Link to post
Share on other sites
essaye le live cd Hoary.

Il me semble qu'il a gnome 2.10

C'est fait, c'est bien pour ca que je veux leur mettre gnome 2.10 :chinois: Mais les questions qui me restent (modem USB, comment mettre a jour, les jeux fonctionnent-ils ou pas) ne trouveront pas reponse avec le live-CD ...

Share this post


Link to post
Share on other sites

Si tu me dis comment installer un jeu qui fait plusieurs fois la taille de la RAM une fois installe sur un live-CD (donc sans avoir monte de dur), je suis preneur. Pareil pour le speedtouch, j'ai lu qu'il fallait le configurer avec un prog du style speedtch-conf (ou un truc du genre, 'fin spee+[tab] quoi :-D ), mais rien de ce cote-la non plus, autant en user qu'en root.

Je repete au passage que je suis newb ubuntu / debian, mais (presque) plus newb linux ...

Share this post


Link to post
Share on other sites
Je repete au passage que je suis newb ubuntu / debian, mais (presque) plus newb linux ...

je suis encore plus newbie que toi :p

Pour le modem je ne peux pas t'en dire plus :D

Va voir sur les forums d'ubuntu ICI et aussi de ce côté là

Pour les jeux j'y connais rien, en tout cas je ne pense pas qu'on puisse en installer avec le live cd.

EDIT: C'est ICI pour ton Speedtouch :)

Share this post


Link to post
Share on other sites

gnome-about (2.9.91-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-control-center (2.9.91-0ubuntu2 => 2.10.0-0ubuntu1)
  gnome-cups-manager (0.28-0ubuntu1 => 0.30-0ubuntu2)
  gnome-desktop-data (2.9.91-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-games (2.9.6-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-games-data (2.9.6-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-gv (2.8.3-0ubuntu1 => 2.8.4-0ubuntu2)
  gnome-icon-theme (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-keyring (0.4.1-0ubuntu1 => 0.4.2-0ubuntu1)
  gnome-media (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-menus (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-netstatus-applet (2.9.4-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-nettool (1.1.0-0ubuntu1 => 1.2.0-0ubuntu1)
  gnome-pilot (2.0.12-1.1ubuntu2 => 2.0.12-1.1ubuntu3)
  gnome-session (2.9.4-0ubuntu3 => 2.10.0-0ubuntu1)
  gnome-terminal (2.9.2-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-themes (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-utils (2.9.91-0ubuntu1 => 2.10.0-0ubuntu1)

c'est bon je lance l'upgrade pour migrer en 2.10 :p

bon, si tu peux attendre le 6 avril tu pourras avoir hoary en stable :D

http://linuxfr.org/2005/03/10/18464.html

Share this post


Link to post
Share on other sites
gnome-about (2.9.91-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-control-center (2.9.91-0ubuntu2 => 2.10.0-0ubuntu1)
  gnome-cups-manager (0.28-0ubuntu1 => 0.30-0ubuntu2)
  gnome-desktop-data (2.9.91-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-games (2.9.6-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-games-data (2.9.6-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-gv (2.8.3-0ubuntu1 => 2.8.4-0ubuntu2)
  gnome-icon-theme (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-keyring (0.4.1-0ubuntu1 => 0.4.2-0ubuntu1)
  gnome-media (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-menus (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-netstatus-applet (2.9.4-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-nettool (1.1.0-0ubuntu1 => 1.2.0-0ubuntu1)
  gnome-pilot (2.0.12-1.1ubuntu2 => 2.0.12-1.1ubuntu3)
  gnome-session (2.9.4-0ubuntu3 => 2.10.0-0ubuntu1)
  gnome-terminal (2.9.2-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-themes (2.9.90-0ubuntu1 => 2.10.0-0ubuntu1)
  gnome-utils (2.9.91-0ubuntu1 => 2.10.0-0ubuntu1)

c'est bon je lance l'upgrade pour migrer en 2.10 :D

bon, si tu peux attendre le 6 avril tu pourras avoir hoary en stable ;)

http://linuxfr.org/2005/03/10/18464.html

Je pars mercredi de chez mes parents :p

Share this post


Link to post
Share on other sites

Sur ubuntu je sais pas vraiment mais vu que c'est debian based, a mon avis tu peux simplement faire un apt-get install speedtouch qui va t'installer l'atm et le driver.

ensuite tu configure dans /etc/ppp/ les fichiers pap_secrets et chap_secrets, dans /etc/ppp/peers encore une ou deux choses. (y a plein d'exemple sur le net)

puis perso quand j'avais ce modem j'avais simplement crée un fichier S71Adsl dans /etc/rcS.d/ qui lancait la connexion au démarrage:

#!/bin/sh

/usr/sbin/modem_run -f /root/mgmt.o

/usr/sbin/pppd call adsl

/sbin/depmod -a

Share this post


Link to post
Share on other sites
Sur ubuntu je sais pas vraiment mais vu que c'est debian based, a mon avis tu peux simplement faire un apt-get install speedtouch qui va t'installer l'atm et le driver.

Ca risque d'etre dur si le modem marche pas encore :aie: :fumer::zarb:

Share this post


Link to post
Share on other sites
Ca risque d'etre dur si le modem marche pas encore :aie: :fumer::zarb:

ben tu download le .deb sur un pc qui a internet et tu fais un dpkg -i speedtouch.deb :p voit pas ou est le prob :p t'as bien un ptit cd ou une clé usb pour stocker ca.

Sinon y a la solution bis (mais la faut que l'atm sois installé par toi (si t'as le cd complet normallement c'est dessus)) c'est de prendre le firmware sur le cd windows et le renommer mgmt.o, c'est pas plus con.

Share this post


Link to post
Share on other sites
pour le sources.list tout est donné sur le site officiel ubuntu, faut aller dans la partie pour ceux qui "maitrisent debian" :transpi:

J'en chie justement pour le source.list.

Je suis allé ICI pour la config du fichier.

J'obtiens donc ceci comme source.list

deb http://archive.ubuntu.com/ubuntu warty main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu warty-security main restricted

deb http://archive.ubuntu.com/ubuntu warty-updates main restricted  universe multiverse

deb ftp://ftp.nerim.net/debian-marillat/ testing main

deb http://www.getsweaaa.com/~tseng/ubuntu/debs/ ./

et ce pour quasiment toutes mes entrées.

Est-ce normal docteur?

PS : et là je ne parle pas des backports, j'ai toujours pas vraiment compris ce que c'est...

Quand j'ouvre synaptic pour vérifier si le système roule, il me jète avec un méchant :

Impossible de localiser la liste des paquets sources http://archive.ubuntu.com warty/multiverse Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_warty_multiverse_binary-i386_Packages) - stat (2 Aucun fichier ou répertoire de ce type)

Share this post


Link to post
Share on other sites
J'en chie justement pour le source.list.

Je suis allé ICI pour la config du fichier.

J'obtiens donc ceci comme source.list

et ce pour quasiment toutes mes entrées.

Est-ce normal docteur?

PS : et là je ne parle pas des backports, j'ai toujours pas vraiment compris ce que c'est...

Quand j'ouvre synaptic pour vérifier si le système roule, il me jète avec un méchant :

je suis en hoary en fait, mais si tu change tous les hoary en warty dans mon fichier de conf ca devrait rouler :reflechis:

deb http://archive.ubuntu.com/ubuntu/ hoary universe
deb-src http://archive.ubuntu.com/ubuntu/ hoary universe

deb http://security.ubuntu.com/ubuntu/ hoary-security main restricted
deb-src http://security.ubuntu.com/ubuntu/ hoary-security main restricted

deb http://archive.ubuntu.com/ubuntu/ hoary multiverse
deb-src http://archive.ubuntu.com/ubuntu/ hoary multiverse

#deb ftp://ftp.nerim.net/debian-marillat/ stable main
deb ftp://ftp.nerim.net/debian-marillat/ unstable main
#deb ftp://ftp.nerim.net/debian-marillat/ testing main

deb http://debian.neo.pl/wfmh unstable main contrib non-free

#deb http://xawdecode.sourceforge.net/debian/ binary/
#deb-src http://xawdecode.sourceforge.net/debian/ source/
#deb ftp://ftp.las.ic.unicamp.br/pub/debian-marillat unstable main
#deb-src http://perso.wanadoo.fr/debian/ unstable main

je dis pas qu'il est parfait (je l'ai un peu fait à l'arrache ), mais ca marche depuis 2 mois :francais:

Share this post


Link to post
Share on other sites

Salut,

Pour Gnome 2.10; pour ma part je suis partir d'ubuntu Warty, j'ai fait un apt-get dist upgrade pour passer en Hoary et j'ai gnome 2.10, ça marche nickel

Share this post


Link to post
Share on other sites

question bête, comment fait-on pour connaitre la version de Gnome que l'on utilise ?

Share this post


Link to post
Share on other sites

Me revoila :transpi:

Alors, l'Ubuntu marche, le modem aussi, par contre, il ne demarre pas au boot, je suis oblige de faire un pppd call adslscript, alors que hotplug devrait le faire tout seul comme un grand ... Quelqu'un a une petite piste de ce cote ?

Ensuite, comment je mets un serveur dhcp + partage de connexion (donc pareil que si c'etait windows :transpi: ) sur la machine ?

Enfin, quels paquets essentiels je mets avant de partir demain (genre plug-ins pour le navigateur, etc ...) ?

Merci pour tout :pleure:

P.S. : et sshd, c'est dessus par défaut, ou il faut le rajouter ?

P.P.S. : et pour gnome, on peut aussi aller dans Système > A propos de Gnome :pleure:

Share this post


Link to post
Share on other sites

pour dhcp

aptitude install dhcp

Je ne l'ai pas configuré par contre :)

Pour le partage de connexion

aptitude install iptables

Et faut regler le nat/forwarding

Pour les paquets essentiels :

sshd si ca n'est pas déja présent, mais je pense que si. (comme ca tu pourras les dépanner a distance (sauf si plus d'internet evidemment ^^)

dhcpcd : client dhcp. (je ne sais pas comment le lancer par contre, pour reinitialiser mon bail dhcp, je fais un /etc/init.d/network restart ... Si qqn a plus propre ... :)

plugin flash sous mozilla

plugin pour lire les videos sous le navigateur

thunderbird pour les mails

openoffice beta 2 pour la bureautique

xine pour les videos (meme si il me semble que mplayer est plus optimisé au niveau code, je trouve que xine a plus de fonctionnalités sur l'interface graphique. (je recherche encore ou est le bouton repeat de gmplayer :( )

xmms

alsa fonctionnel

nVidia/ATi fonctionnel

aptitude

Voila la liste a laquelle je penserais, mais je ne sais pas ce qui est deja installé sur Ubuntu par défaut, donc...

Share this post


Link to post
Share on other sites

duke98 >> j'ai mis le même source.list que toi, en changeant donc les hoary et wary et quand je fais une mise a jour avec synaptic, il ne me propose que le 2.8 pour gnome.

C'est pas que je veux passer en 2.10, limite je m'en fout, mais il devrait me proposer le 2.10??

Sinon, c'est koi la différence entre :

apt-get update et apt-get dist-upgrade et encore apt-get upgrade?

j'avoue que j'ai du mal a saisir la nuance entre upgrade et dist-upgrade

Share this post


Link to post
Share on other sites
Sinon, c'est koi la différence entre :

apt-get update et apt-get dist-upgrade et encore apt-get upgrade?

j'avoue que j'ai du mal a saisir la nuance entre upgrade et dist-upgrade

apt-get update : met a jour la liste de tes paquets => rajoute ceux qui n'existaient pas avant, met a jour la version disponible sur le serveur. Mais ce n'est que la liste, des sortes d'en tete en quelque sorte. Les packages restent sur le serveur.

apt-get upgrade : met a jour les paquets installés si ils en ont besoin (en comparant la version sur la machine, et la version disponible sur le serveur (en regardant dans la liste des paquets fraichement recupérée par un apt-get update par exemple :))

apt-get dist-upgrade : met a jour les paquets installés et essaye d'aplanir les dépendances de certains paquets. (il supprime des paquets inutilisés, rajoute des paquets qui pourraient etre utilisé par un des packages deja sur la machin, etc)

Share this post


Link to post
Share on other sites

×
×
  • Create New...